---
title: GamepadPose.angularVelocity
slug: Web/API/GamepadPose/angularVelocity
tags:
  - API
  - Experimental
  - Gamepad API
  - GamepadPose
  - Property
  - Reference
  - Virtual Reality
  - WebVR
  - angularVelocity
---
<div>{{APIRef("WebVR API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>angularVelocity</code></strong> read-only property of the {{domxref("GamepadPose")}} interface returns an array representing the angular velocity vector of the {{domxref("Gamepad")}}, in radians per second.</p>

<p>In other words, the current velocity at which the sensor is rotating around the <code>x</code>, <code>y</code>, and <code>z</code> axes.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myGamepadAngVel = gamepadPoseInstance.angularVelocity;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("Float32Array")}}, or <code>null</code> if the gamepad is not able to provide angular velocity information.</p>

<h2 id="Examples">Examples</h2>

<p>TBD</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('GamepadExtensions', '#dom-gamepadpose-angularvelocity', 'angularVelocity')}}</td>
   <td>{{Spec2('GamepadExtensions')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GamepadPose.angularVelocity")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API</a></li>
 <li><a href="/en-US/docs/Web/API/Gamepad_API">Gamepad API</a></li>
</ul>
